## Installation and setup

### Requirements

Scansion requires:

- Lua 5.2
- Verse (a version is bundled by default)
- LuaExpat
- LuaCJSON
- LuaSec
- LuaSocket
- LuaFileSystem (optional)

If these are present, a simple 'make' and 'sudo make install' should suffice to install scansion to `/usr/local/bin/`.

On Debian and Ubuntu, these can be installed with the following command:

```
apt install lua5.2 lua-expat lua-cjson lua-sec lua-socket lua-filesystem
```

### Docker

A Dockerfile is also provided, to allow you to build and run scansion inside a clean environment with all dependencies
installed already.

First, build the image:

```
docker build -t scansion .
```

To run it with a directory of test scripts in ./spec/scansion:

```
docker run -v$PWD/spec/scansion:/scripts scansion
```

To run it [as a service](usage/service.md):

```
docker run -p 8007:8007 -v$PWD/spec/scansion:/scripts scansion --serve

```

